# Залишки за фінансуванням: методи API Bimp

URL: https://bimpsoft.com/help/developers/api-reference/financing-balance/

Методи API Bimp для ресурсу «Залишки за фінансуванням» (`/org2/financing-balance/…`): 1 метод. Базова адреса: `https://app.bimpsoft.com`. Усі запити, крім входу, передають токен компанії в заголовку `access-token` — див. [Початок роботи з API](/help/developers/api-getting-started/).

Balances by bank accounts and cash registers

| Метод | Що робить |
|---|---|
| [`POST /org2/financing-balance/api-readList`](#api-read-list) | A request to view balances by bank accounts and cash registers |

## api-readList

`POST /org2/financing-balance/api-readList`

A request to view balances by bank accounts and cash registers

**Тіло запиту (JSON)**

| Поле | Тип | Обов'язкове | Опис |
|---|---|---|---|
| `period` | object[] |  | Optional period range as a tuple of two ISO 8601 date-time strings in UTC |

**Відповідь: поле `data`**

| Поле | Тип | Опис |
|---|---|---|
| `currency` | object |  |
| `currency.uuid` | string (uuid) |  |
| `currency.name` | string |  |
| `totalBalance` | number |  |
| `cashRegistersBalance` | number |  |
| `bankAccountsBalance` | number |  |
| `bankAccounts` | object[] |  |
| `bankAccounts[].account` | object |  |
| `bankAccounts[].account.uuid` | string (uuid) |  |
| `bankAccounts[].account.name` | string |  |
| `bankAccounts[].currency` | object |  |
| `bankAccounts[].currency.uuid` | string (uuid) |  |
| `bankAccounts[].currency.name` | string |  |
| `bankAccounts[].amount` | number | Amount in the organization base currency |
| `bankAccounts[].amountInCurrency` | number | Amount in the account currency |
| `cashRegisters` | object[] |  |
| `cashRegisters[].account` | object |  |
| `cashRegisters[].account.uuid` | string (uuid) |  |
| `cashRegisters[].account.name` | string |  |
| `cashRegisters[].currency` | object |  |
| `cashRegisters[].currency.uuid` | string (uuid) |  |
| `cashRegisters[].currency.name` | string |  |
| `cashRegisters[].amount` | number | Amount in the organization base currency |
| `cashRegisters[].amountInCurrency` | number | Amount in the account currency |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/financing-balance/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"period":["2026-07-31T21:00:00.000Z","2026-08-30T21:00:00.000Z"]}'
```

Інтерактивна документація з можливістю надіслати тестовий запит: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.
